Subject: [BEHAVE] Two changes proposed for draft-ietf-behave-nat64-discovery-heuristic (to be done before interim)

From: <[email-masked]>
Date: Thu, 26 Apr 2012 07:43:10 +0000

Hi,

There are two issues we'd like to update for the draft-ietf-behave-nat64-discovery-heuristic before interim. Please comment.

1. Clarify that IANA needs to assign two IPv4 addresses for the well-known name. I.e. update IANA section to say something like:
--
This document requests IANA to assign at least one, but preferably two, public IPv4 addresses for the well-known name. The addresses must be reserved from public IPv4 address space that is not allocated for any special use as per RFC5735 section 3. This is because RFC6052 section 3.1 forbids IPv6 address synthesis using well-known prefix if IPv4 address is from any address space described in the RFC5735 section 3.
-- 
The RFC6052 section 3.1. limitation is quite hard, as it seems to rule out use of 192.0.0.0/24 (and 240.0.0.0/4) address spaces even if I'm not sure those are "non-global"?

2. Remove the infrastructure & volume comment from section 4:
--
   It is expected that volumes for well-known name related queries are
   roughly SOMETHING, TBD.  The infrastructure required to serve well-
   known name is SOMETHING, TBD.
--

At least I don't know what else to do, as we have not received any figures for what kind of volumes there could be and what kind of infrastructure is required... and if that information is really needed for protocol specification at first place.

Best regards,

Teemu

---

From: SM <[email-masked]>
Date: Thu, 26 Apr 2012 16:04:42 -0700

At 00:43 26-04-2012, [email-masked] wrote:
>1. Clarify that IANA needs to assign two IPv4 addresses for the 
>well-known name. I.e. update IANA section to say something like:
>--
>This document requests IANA to assign at least one, but preferably 
>two, public IPv4 addresses for the well-known name. The addresses 
>must be reserved from public IPv4 address space that is not 
>allocated for any special use as per RFC5735 section 3. This is 
>because RFC6052 section 3.1 forbids IPv6 address synthesis using 
>well-known prefix if IPv4 address is from any address space 
>described in the RFC5735 section 3.

IANA does not get to choose.  The draft asks and it does the 
assignment.  IANA cannot assign an IPv4 address from 10/8, for 
example, as it is already reserved.  The draft is supposed to specify 
how the IPv4 address is used.

Instead of wordsmithing the IANA Considerations section, it's easier 
to focus on the other parts of the draft and fix that section once 
the IPv4 needs are clear.

Regards,
-sm